NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_adp_argv(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_adp_argv - Return the number of arguments to the current ADP

## Table Of Contents

## Synopsis

- ns_adp_argv ?index?

## Description

This command returns a list of arguments to the current ADP, including the name of the ADP itself as the first element. If index is specified, only that element from the list is returned.

## COMMANDS

ns_adp_argv ?index?

## EXAMPLES

       # In a.adp:
       &lt;% ns_adp_include b.adp example a b c %&gt;

       # In b.adp:
       &lt;%
         ns_adp_argv      &nbsp;;# =&gt; b.adp example a b c
         ns_adp_argv 0    &nbsp;;# =&gt; b.adp
         ns_adp_argv 4    &nbsp;;# =&gt; c
       %&gt;

## See Also

nsd

## Keywords

ADP